curl --request POST \
--url https://vpos.payven.com.tr/api/v1/reconciliations/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"scope": "Connector",
"connectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "Daily",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"bankTransactions": [
{
"bankTransactionId": "<string>",
"amount": 123,
"status": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"merchantExternalId": "<string>",
"authCode": "<string>"
}
]
}
'{
"message": "<string>",
"isSuccess": true,
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"connectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectorConfigName": "<string>",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantName": "<string>",
"bankCode": "<string>",
"period": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"reconciliationDate": "2023-12-25",
"totalDbTransactions": 123,
"totalBankTransactions": 123,
"matchedCount": 123,
"amountMismatchCount": 123,
"statusMismatchCount": 123,
"orphanDbCount": 123,
"orphanBankCount": 123,
"resolvedCount": 123,
"ignoredCount": 123,
"totalDbAmount": 123,
"totalBankAmount": 123,
"overallStatus": "<string>",
"finalizedAt": "2023-11-07T05:31:56Z",
"finalizedBy": "<string>",
"notes": "<string>",
"created": "2023-11-07T05:31:56Z",
"details": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reconciliationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankTransactionId": "<string>",
"dbAmount": 123,
"bankAmount": 123,
"dbStatus": "<string>",
"bankStatus": "<string>",
"discrepancy": "<string>",
"detailStatus": "<string>",
"resolutionAction": "<string>",
"adjustedAmount": 123,
"appliedStatus": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": "<string>",
"remarks": "<string>"
}
]
}
}curl --request POST \
--url https://vpos.payven.com.tr/api/v1/reconciliations/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"scope": "Connector",
"connectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "Daily",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"bankTransactions": [
{
"bankTransactionId": "<string>",
"amount": 123,
"status": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"merchantExternalId": "<string>",
"authCode": "<string>"
}
]
}
'{
"message": "<string>",
"isSuccess": true,
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"connectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectorConfigName": "<string>",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantName": "<string>",
"bankCode": "<string>",
"period": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"reconciliationDate": "2023-12-25",
"totalDbTransactions": 123,
"totalBankTransactions": 123,
"matchedCount": 123,
"amountMismatchCount": 123,
"statusMismatchCount": 123,
"orphanDbCount": 123,
"orphanBankCount": 123,
"resolvedCount": 123,
"ignoredCount": 123,
"totalDbAmount": 123,
"totalBankAmount": 123,
"overallStatus": "<string>",
"finalizedAt": "2023-11-07T05:31:56Z",
"finalizedBy": "<string>",
"notes": "<string>",
"created": "2023-11-07T05:31:56Z",
"details": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reconciliationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankTransactionId": "<string>",
"dbAmount": 123,
"bankAmount": 123,
"dbStatus": "<string>",
"bankStatus": "<string>",
"discrepancy": "<string>",
"detailStatus": "<string>",
"resolutionAction": "<string>",
"adjustedAmount": 123,
"appliedStatus": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": "<string>",
"remarks": "<string>"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Connector, Merchant Daily, Monthly, Yearly, Custom Show child attributes